//
// Created by zx on 2019/8/30.
//

#ifndef CPPAD5TRAJECTORY_H
#define CPPAD5TRAJECTORY_H
#include "make_trajectory.h"

class CppAD5Trajectory : public MakeTrajectory
{
public:
    CppAD5Trajectory();
    ~CppAD5Trajectory();
    virtual bool Make(tf::Transform t0,tf::Transform t1, int extend_num=0);
protected:
    bool Solve(tf::Pose pose1,tf::Pose pose2);

protected:
    Eigen::VectorXd   m_p;
};


#endif //CPPAD4TRAJECTORY_H
